Skip to main content
GET
/
v1
/
users
/
me
/
invitations
Get My Pending Invitations
curl --request GET \
  --url https://api.dataraven.io/v1/users/me/invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_name": "<string>",
      "role": "viewer",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "invited_by_email": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

data
PendingInvitationForUser · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata in responses.